> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Institutional Holdings



## OpenAPI

````yaml /openapi.json get /us/institutional-holdings
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/institutional-holdings:
    get:
      tags:
        - US · ownership
      summary: Us Institutional Holdings
      operationId: us_institutional_holdings_us_institutional_holdings_get
      parameters:
        - name: accession_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Accession Number
        - name: manager_cik
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Manager Cik
        - name: cusip
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cusip
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: put_call
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^(PUT|CALL)$
              - type: 'null'
            title: Put Call
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstitutionalHoldingsResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    InstitutionalHoldingsResponse:
      properties:
        holdings:
          items:
            $ref: '#/components/schemas/InstitutionalHolding'
          type: array
          title: Holdings
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - holdings
        - meta
      title: InstitutionalHoldingsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    InstitutionalHolding:
      properties:
        accession_number:
          type: string
          title: Accession Number
        holding_ordinal:
          type: integer
          title: Holding Ordinal
        manager_cik:
          type: string
          title: Manager Cik
        report_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Report Date
        issuer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuer Name
        class_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Class Title
        cusip:
          anyOf:
            - type: string
            - type: 'null'
          title: Cusip
        value_thousands_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Value Thousands Usd
        value_reported:
          anyOf:
            - type: number
            - type: 'null'
          title: Value Reported
        value_unit:
          anyOf:
            - type: string
              enum:
                - USD
                - USD_thousands
            - type: 'null'
          title: Value Unit
        value_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Value Usd
        shares_or_principal:
          anyOf:
            - type: number
            - type: 'null'
          title: Shares Or Principal
        shares_or_principal_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Shares Or Principal Type
        put_call:
          anyOf:
            - type: string
            - type: 'null'
          title: Put Call
        investment_discretion:
          anyOf:
            - type: string
            - type: 'null'
          title: Investment Discretion
        other_manager:
          anyOf:
            - type: string
            - type: 'null'
          title: Other Manager
        voting_sole:
          anyOf:
            - type: number
            - type: 'null'
          title: Voting Sole
        voting_shared:
          anyOf:
            - type: number
            - type: 'null'
          title: Voting Shared
        voting_none:
          anyOf:
            - type: number
            - type: 'null'
          title: Voting None
        knowledge_time:
          type: string
          format: date-time
          title: Knowledge Time
        source_id:
          type: string
          title: Source Id
          default: sec_edgar
      type: object
      required:
        - accession_number
        - holding_ordinal
        - manager_cik
        - knowledge_time
      title: InstitutionalHolding
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````